#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname	arr-pm
Summary:	RPM reader and writer library
Name:		ruby-%{pkgname}
Version:	0.0.10
Release:	2
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	6c23ba073b590440c37042a85e0786d3
URL:		https://github.com/jordansissel/ruby-arr-pm
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-flores
%endif
Requires:	cpio
Requires:	ruby-cabin
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows to you to read and write rpm packages. Written in
pure ruby because librpm is not available on all systems

%prep
%setup -q -n %{pkgname}-%{version}

%build
%__gem_helper spec

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Tue Aug 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-arr-pm.git;a=log;h=master

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> 88fef02
- uses cpio binary runtime

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> b24ec9c
- up to 0.0.10

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 501af11
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 3ea98c3
- build with rubygems provides

* Wed Jun 19 2013 Elan Ruusamäe <glen@delfi.ee> 17438ad
- new, version 0.0.8

